Page MenuHomePhabricator

Editing the location field in the Events plugin deletes information previously input
Closed, ResolvedPublic0 Estimated Story Points

Description

If you'd like to modify the location of your event, editing it erases all the information previously input, leaving only the optional name field. The form should pull up this information for easier editing.

Event Timeline

elappen-WMF triaged this task as Medium priority.Aug 22 2019, 8:41 PM
elappen-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2019, 8:41 PM
Samat added a subscriber: Samat.Aug 22 2019, 8:45 PM
elappen-WMF lowered the priority of this task from Medium to Low.Sep 30 2019, 11:00 PM
Aklapper removed a subscriber: Aklapper.Oct 31 2019, 10:16 AM

@Samat, this should be fixed now. I've just tested from an admin and a test account. I created an event with a location, saved it, hit the Edit button below the post, and selected the location for editing. All previously entered fields appeared (rather than just the "Name optional" one). Give it a try and confirm! (For reference, here is your original report: https://discuss-space.wmflabs.org/t/edit-the-location-of-an-event/958/3).

Samat added a comment.Dec 15 2019, 7:30 PM

@elappen-WMF I tried it out and it worked well for me as well.

Thank you for the development!

Samat awarded a token.Dec 15 2019, 7:31 PM
elappen-WMF closed this task as Resolved.Dec 20 2019, 5:39 PM